Subiject: Deleting a page without a title gives a weird prompt message

Description

Are you sure you want to delete the page "'?

Related issues:
related to TYPOS3.Neos - Task # 42214: The title of a page node should be requ... New 2012-10-20

Associated revisions

Revision 01707184 - 2012-12-17 16:39 - Mattias Nilsson

[BUGFIX] Add page title to delete prompt

Add the page title to the delete prompt when trying to delete a page
from the page tree.

Change-Id: 1a50d7a2381b4f68240cadcb2949a75d72c634faf
Related: #42769

History

#1 - 2012-12-14 20:01 - Mattias Nilsson

Added a fix to Gerrit: https://review.typo3.org/#/c/17167/

#2 - 2012-12-17 16:44 - Karsten Dambekalns

Well, if the page has no title, that is correct. Showing "(untitled)" (or something similar) doesn't change anything, really.

#3 - 2012-12-17 16:44 - Karsten Dambekalns
- Project changed from Base Distribution to TYPO3.Neos
#4 - 2012-12-17 17:26 - Karsten Dambekalns

- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

So, is this actually an issue? Any suggestion on what should happen in such a case?

#5 - 2012-12-17 21:59 - Aske Ertmann

- Status changed from Needs Feedback to New
https://review.typo3.org/#/c/17167/

| would say it should use the default title, "[New Page]", which is also being used in the page tree so there's is consistency at least.

#6 - 2012-12-18 07:55 - Karsten Dambekalns
- Status changed from New to Needs Feedback

Hm, what about using the node name as a fallback? [New Page] is plain wrong, if the title is really empty.

#7 - 2012-12-18 21:10 - Aske Ertmann

In my opinion "[New Page]" is better than reverting to the node name. The point is not that the title is empty, but to make sure the user delete the
correct page. And the use case is clicking the page in the page tree and then delete. In this context the user only knows about what he clicked in the
page tree, which has the name "[New Page]". So for me it's logical to show that name, so | can confirm that it's trying to delete the page | selected. The
user don't necessarily know about the node name and in most cases the user shouldn't care about node names.

On another point the default title "[New Page]" is probably misleading and we should probably use something like "[No Title]" or like CMS "[Default
Title]"
